package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.system.domain.RmEpsTopologyManagement;
import com.ruoyi.system.mapper.RmEpsTopologyManagementMapper;
import com.ruoyi.system.service.IRmEpsTopologyManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 拓扑管理Service业务层处理
 * 
 * @author gyt
 * @date 2025-08-12
 */
@Service
public class RmEpsTopologyManagementServiceImpl implements IRmEpsTopologyManagementService
{
    @Autowired
    private RmEpsTopologyManagementMapper rmEpsTopologyManagementMapper;
    /**
     * 查询拓扑管理
     * 
     * @param id 拓扑管理主键
     * @return 拓扑管理
     */
    @Override
    public RmEpsTopologyManagement selectRmEpsTopologyManagementById(Long id)
    {
        return rmEpsTopologyManagementMapper.selectRmEpsTopologyManagementById(id);
    }

    /**
     * 查询拓扑管理列表
     * 
     * @param rmEpsTopologyManagement 拓扑管理
     * @return 拓扑管理
     */
    @Override
    public List<RmEpsTopologyManagement> selectRmEpsTopologyManagementList(RmEpsTopologyManagement rmEpsTopologyManagement)
    {
        return rmEpsTopologyManagementMapper.selectRmEpsTopologyManagementList(rmEpsTopologyManagement);
    }

    /**
     * 新增拓扑管理
     * 
     * @param rmEpsTopologyManagement 拓扑管理
     * @return 结果
     */
    @Override
    public int insertRmEpsTopologyManagement(RmEpsTopologyManagement rmEpsTopologyManagement)
    {
        rmEpsTopologyManagement.setCreateTime(DateUtils.getNowDate());
        return rmEpsTopologyManagementMapper.insertRmEpsTopologyManagement(rmEpsTopologyManagement);
    }

    /**
     * 修改拓扑管理
     * 
     * @param rmEpsTopologyManagement 拓扑管理
     * @return 结果
     */
    @Override
    public int updateRmEpsTopologyManagement(RmEpsTopologyManagement rmEpsTopologyManagement)
    {
        rmEpsTopologyManagement.setUpdateTime(DateUtils.getNowDate());
        return rmEpsTopologyManagementMapper.updateRmEpsTopologyManagement(rmEpsTopologyManagement);
    }

    /**
     * 批量删除拓扑管理
     * 
     * @param ids 需要删除的拓扑管理主键
     * @return 结果
     */
    @Override
    public int deleteRmEpsTopologyManagementByIds(Long[] ids)
    {
        return rmEpsTopologyManagementMapper.deleteRmEpsTopologyManagementByIds(ids);
    }

    /**
     * 删除拓扑管理信息
     * 
     * @param id 拓扑管理主键
     * @return 结果
     */
    @Override
    public int deleteRmEpsTopologyManagementById(Long id)
    {
        return rmEpsTopologyManagementMapper.deleteRmEpsTopologyManagementById(id);
    }

}
